package anywheresoftware.b4a.samples.customlistview;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "anywheresoftware.b4a.samples.customlistview", "anywheresoftware.b4a.samples.customlistview.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, true))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "anywheresoftware.b4a.samples.customlistview", "anywheresoftware.b4a.samples.customlistview.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "anywheresoftware.b4a.samples.customlistview.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        Object[] o;
        if (permissions.length > 0)
            o = new Object[] {permissions[0], grantResults[0] == 0};
        else
            o = new Object[] {"", false};
        processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static String _tiplayaut = "";
public anywheresoftware.b4a.samples.customlistview.customlistview _clv1 = null;
public anywheresoftware.b4a.samples.customlistview.customlistview _clv2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button2 = null;
public static String _qt = "";
public anywheresoftware.b4a.objects.LabelWrapper _lbl = null;
public static int _i = 0;
public anywheresoftware.b4a.objects.LabelWrapper _lblordine = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnprova = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbl2 = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel1 = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 33;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 34;BA.debugLine="Activity.LoadLayout(\"1\")";
mostCurrent._activity.LoadLayout("1",mostCurrent.activityBA);
 //BA.debugLineNum = 35;BA.debugLine="Button1.Initialize(\"\")";
mostCurrent._button1.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 36;BA.debugLine="Button2.Initialize(\"\")";
mostCurrent._button2.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 37;BA.debugLine="tipLayaut=\"pro\"";
_tiplayaut = "pro";
 //BA.debugLineNum = 50;BA.debugLine="prodotti_click";
_prodotti_click();
 //BA.debugLineNum = 53;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 113;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 115;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 109;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 111;BA.debugLine="End Sub";
return "";
}
public static String  _aggiungiitem(anywheresoftware.b4a.samples.customlistview.customlistview _customlv,String _nomelayout,int _altezzaitem,Object _valore) throws Exception{
anywheresoftware.b4a.objects.PanelWrapper _pnlitem = null;
 //BA.debugLineNum = 69;BA.debugLine="Sub AggiungiItem(CustomLV As CustomListView, NomeL";
 //BA.debugLineNum = 70;BA.debugLine="Dim pnlItem As Panel";
_pnlitem = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 71;BA.debugLine="pnlItem.Initialize(\"\")";
_pnlitem.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 72;BA.debugLine="If tipLayaut=\"pro\" Then";
if ((_tiplayaut).equals("pro")) { 
 //BA.debugLineNum = 73;BA.debugLine="pnlItem.LoadLayout(\"cellitem\")' ***< =";
_pnlitem.LoadLayout("cellitem",mostCurrent.activityBA);
 };
 //BA.debugLineNum = 75;BA.debugLine="If tipLayaut=\"ordine\" Then";
if ((_tiplayaut).equals("ordine")) { 
 //BA.debugLineNum = 76;BA.debugLine="pnlItem.LoadLayout(\"cellitem0\")' ***< =";
_pnlitem.LoadLayout("cellitem0",mostCurrent.activityBA);
 };
 //BA.debugLineNum = 79;BA.debugLine="CustomLV.Add(pnlItem,  70,70)";
_customlv._add(_pnlitem,(int) (70),(Object)(70));
 //BA.debugLineNum = 80;BA.debugLine="End Sub";
return "";
}
public static String  _btnprova_click() throws Exception{
 //BA.debugLineNum = 189;BA.debugLine="Sub btnProva_Click";
 //BA.debugLineNum = 191;BA.debugLine="End Sub";
return "";
}
public static String  _button1_click() throws Exception{
int _index = 0;
anywheresoftware.b4a.objects.PanelWrapper _pnl = null;
anywheresoftware.b4a.objects.ButtonWrapper _btn = null;
 //BA.debugLineNum = 82;BA.debugLine="Sub Button1_Click";
 //BA.debugLineNum = 83;BA.debugLine="Dim index As Int = clv1.GetItemFromView(Sender)";
_index = mostCurrent._clv1._getitemfromview((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA))));
 //BA.debugLineNum = 84;BA.debugLine="Dim pnl As Panel = clv1.GetPanel(index)";
_pnl = new anywheresoftware.b4a.objects.PanelWrapper();
_pnl = mostCurrent._clv1._getpanel(_index);
 //BA.debugLineNum = 85;BA.debugLine="Dim lbl As Label = pnl.GetView(0)";
mostCurrent._lbl = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._lbl.setObject((android.widget.TextView)(_pnl.GetView((int) (0)).getObject()));
 //BA.debugLineNum = 86;BA.debugLine="Dim btn As Button = pnl.GetView(0)";
_btn = new anywheresoftware.b4a.objects.ButtonWrapper();
_btn.setObject((android.widget.Button)(_pnl.GetView((int) (0)).getObject()));
 //BA.debugLineNum = 88;BA.debugLine="If btn.Text=\"\" Then";
if ((_btn.getText()).equals("")) { 
 //BA.debugLineNum = 89;BA.debugLine="btn.Text=\"0\"";
_btn.setText((Object)("0"));
 };
 //BA.debugLineNum = 91;BA.debugLine="qt=btn.Text+1";
mostCurrent._qt = BA.NumberToString((double)(Double.parseDouble(_btn.getText()))+1);
 //BA.debugLineNum = 92;BA.debugLine="btn.Text=qt";
_btn.setText((Object)(mostCurrent._qt));
 //BA.debugLineNum = 94;BA.debugLine="End Sub";
return "";
}
public static String  _button1_longclick() throws Exception{
int _index = 0;
anywheresoftware.b4a.objects.PanelWrapper _pnl = null;
anywheresoftware.b4a.objects.ButtonWrapper _btn = null;
 //BA.debugLineNum = 95;BA.debugLine="Sub Button1_LongClick";
 //BA.debugLineNum = 96;BA.debugLine="Dim index As Int = clv1.GetItemFromView(Sender)";
_index = mostCurrent._clv1._getitemfromview((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA))));
 //BA.debugLineNum = 97;BA.debugLine="Dim pnl As Panel = clv1.GetPanel(index)";
_pnl = new anywheresoftware.b4a.objects.PanelWrapper();
_pnl = mostCurrent._clv1._getpanel(_index);
 //BA.debugLineNum = 98;BA.debugLine="Dim lbl As Label = pnl.GetView(0)";
mostCurrent._lbl = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._lbl.setObject((android.widget.TextView)(_pnl.GetView((int) (0)).getObject()));
 //BA.debugLineNum = 99;BA.debugLine="Dim btn As Button = pnl.GetView(0)";
_btn = new anywheresoftware.b4a.objects.ButtonWrapper();
_btn.setObject((android.widget.Button)(_pnl.GetView((int) (0)).getObject()));
 //BA.debugLineNum = 101;BA.debugLine="If btn.Text=\"\" Then";
if ((_btn.getText()).equals("")) { 
 //BA.debugLineNum = 102;BA.debugLine="btn.Text=\"0\"";
_btn.setText((Object)("0"));
 };
 //BA.debugLineNum = 104;BA.debugLine="qt=btn.Text-1";
mostCurrent._qt = BA.NumberToString((double)(Double.parseDouble(_btn.getText()))-1);
 //BA.debugLineNum = 105;BA.debugLine="btn.Text=qt";
_btn.setText((Object)(mostCurrent._qt));
 //BA.debugLineNum = 107;BA.debugLine="End Sub";
return "";
}
public static String  _button2_click() throws Exception{
 //BA.debugLineNum = 152;BA.debugLine="Sub Button2_Click";
 //BA.debugLineNum = 154;BA.debugLine="End Sub";
return "";
}
public static String  _clv1_itemclick(int _index,Object _value) throws Exception{
 //BA.debugLineNum = 55;BA.debugLine="Sub clv1_ItemClick (Index As Int, Value As Object)";
 //BA.debugLineNum = 56;BA.debugLine="Activity.Title = Value";
mostCurrent._activity.setTitle(_value);
 //BA.debugLineNum = 57;BA.debugLine="End Sub";
return "";
}
public static String  _clv2_itemclick(int _index,Object _value) throws Exception{
 //BA.debugLineNum = 59;BA.debugLine="Sub clv2_ItemClick(Index As Int, Value As Object)";
 //BA.debugLineNum = 60;BA.debugLine="Log(Index & \" = \" & Value)";
anywheresoftware.b4a.keywords.Common.Log(BA.NumberToString(_index)+" = "+BA.ObjectToString(_value));
 //BA.debugLineNum = 61;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 17;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 19;BA.debugLine="Private clv1 As CustomListView";
mostCurrent._clv1 = new anywheresoftware.b4a.samples.customlistview.customlistview();
 //BA.debugLineNum = 20;BA.debugLine="Private clv2 As CustomListView";
mostCurrent._clv2 = new anywheresoftware.b4a.samples.customlistview.customlistview();
 //BA.debugLineNum = 21;BA.debugLine="Private Button1 As Button";
mostCurrent._button1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Private Button2 As Button";
mostCurrent._button2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Private qt As String";
mostCurrent._qt = "";
 //BA.debugLineNum = 24;BA.debugLine="Private lbl As Label";
mostCurrent._lbl = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Private i As Int";
_i = 0;
 //BA.debugLineNum = 27;BA.debugLine="Private lblOrdine As Label";
mostCurrent._lblordine = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Private btnProva As Button";
mostCurrent._btnprova = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Private lbl2 As Label";
mostCurrent._lbl2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Private Panel1 As Panel";
mostCurrent._panel1 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 31;BA.debugLine="End Sub";
return "";
}
public static String  _label1_click() throws Exception{
 //BA.debugLineNum = 181;BA.debugLine="Sub Label1_Click";
 //BA.debugLineNum = 183;BA.debugLine="End Sub";
return "";
}
public static String  _lbl_click() throws Exception{
int _panelitemheight = 0;
String _nomelayoutitem = "";
int _indicelayout = 0;
anywheresoftware.b4a.objects.PanelWrapper _pnlitem = null;
int _index = 0;
anywheresoftware.b4a.objects.PanelWrapper _pnl = null;
 //BA.debugLineNum = 156;BA.debugLine="Sub lbl_Click";
 //BA.debugLineNum = 157;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 158;BA.debugLine="tipLayaut=\"ordine\"";
_tiplayaut = "ordine";
 //BA.debugLineNum = 159;BA.debugLine="Dim PanelItemHeight As Int = 45dip";
_panelitemheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (45));
 //BA.debugLineNum = 160;BA.debugLine="Dim NomeLayoutItem As String";
_nomelayoutitem = "";
 //BA.debugLineNum = 161;BA.debugLine="Dim IndiceLayout As Int";
_indicelayout = 0;
 //BA.debugLineNum = 162;BA.debugLine="Dim pnlItem As Panel";
_pnlitem = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 163;BA.debugLine="pnlItem.Initialize(\"\")";
_pnlitem.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 164;BA.debugLine="pnlItem.LoadLayout(\"cellitem0\")";
_pnlitem.LoadLayout("cellitem0",mostCurrent.activityBA);
 //BA.debugLineNum = 166;BA.debugLine="Dim index As Int = clv2.GetItemFromView(Sender)";
_index = mostCurrent._clv2._getitemfromview((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA))));
 //BA.debugLineNum = 167;BA.debugLine="Dim pnl As Panel = clv2.GetPanel(index)";
_pnl = new anywheresoftware.b4a.objects.PanelWrapper();
_pnl = mostCurrent._clv2._getpanel(_index);
 //BA.debugLineNum = 168;BA.debugLine="Dim lbl As Label = pnl.GetView(0)";
mostCurrent._lbl = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._lbl.setObject((android.widget.TextView)(_pnl.GetView((int) (0)).getObject()));
 //BA.debugLineNum = 169;BA.debugLine="lblOrdine.Initialize(\"\")";
mostCurrent._lblordine.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 170;BA.debugLine="lbl.Initialize(\"\")";
mostCurrent._lbl.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 172;BA.debugLine="lblOrdine.Text=lbl";
mostCurrent._lblordine.setText((Object)(mostCurrent._lbl.getObject()));
 //BA.debugLineNum = 174;BA.debugLine="IndiceLayout = i mod 1";
_indicelayout = (int) (_i%1);
 //BA.debugLineNum = 175;BA.debugLine="NomeLayoutItem = \"cellitem0\" & IndiceLayout'***";
_nomelayoutitem = "cellitem0"+BA.NumberToString(_indicelayout);
 //BA.debugLineNum = 176;BA.debugLine="AggiungiItem(clv1, NomeLayoutItem, PanelItemHeig";
_aggiungiitem(mostCurrent._clv1,_nomelayoutitem,_panelitemheight,(Object)("Item "+BA.NumberToString(_i)));
 //BA.debugLineNum = 179;BA.debugLine="End Sub";
return "";
}
public static String  _lbl2_click() throws Exception{
 //BA.debugLineNum = 193;BA.debugLine="Sub lbl2_Click";
 //BA.debugLineNum = 195;BA.debugLine="End Sub";
return "";
}
public static String  _lblordine_click() throws Exception{
 //BA.debugLineNum = 185;BA.debugLine="Sub lblOrdine_Click";
 //BA.debugLineNum = 187;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 13;BA.debugLine="Private tipLayaut As String";
_tiplayaut = "";
 //BA.debugLineNum = 15;BA.debugLine="End Sub";
return "";
}
public static String  _prodotti_click() throws Exception{
String _fileprod = "";
String _line = "";
int _panelitemheight = 0;
String _nomelayoutitem = "";
int _indicelayout = 0;
anywheresoftware.b4a.objects.PanelWrapper _pnlitem = null;
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _reader = null;
 //BA.debugLineNum = 117;BA.debugLine="Sub prodotti_click";
 //BA.debugLineNum = 118;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 119;BA.debugLine="Dim fileProd As String";
_fileprod = "";
 //BA.debugLineNum = 120;BA.debugLine="Dim line As String";
_line = "";
 //BA.debugLineNum = 122;BA.debugLine="fileProd=\"Pizze.txt\"";
_fileprod = "Pizze.txt";
 //BA.debugLineNum = 123;BA.debugLine="Dim PanelItemHeight As Int = 45dip";
_panelitemheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (45));
 //BA.debugLineNum = 124;BA.debugLine="Dim NomeLayoutItem As String";
_nomelayoutitem = "";
 //BA.debugLineNum = 125;BA.debugLine="Dim IndiceLayout As Int";
_indicelayout = 0;
 //BA.debugLineNum = 126;BA.debugLine="Dim pnlItem As Panel";
_pnlitem = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 127;BA.debugLine="pnlItem.Initialize(\"\")";
_pnlitem.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 128;BA.debugLine="pnlItem.LoadLayout(\"cellitem\")'***< =";
_pnlitem.LoadLayout("cellitem",mostCurrent.activityBA);
 //BA.debugLineNum = 130;BA.debugLine="Private Reader As TextReader";
_reader = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 131;BA.debugLine="Reader.Initialize(File.OpenInput(File.DirRootExter";
_reader.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),_fileprod).getObject()));
 //BA.debugLineNum = 133;BA.debugLine="line = Reader.ReadLine";
_line = _reader.ReadLine();
 //BA.debugLineNum = 134;BA.debugLine="Do While line <> Null";
while (_line!= null) {
 //BA.debugLineNum = 135;BA.debugLine="i=i+1";
_i = (int) (_i+1);
 //BA.debugLineNum = 137;BA.debugLine="lbl.Text=line";
mostCurrent._lbl.setText((Object)(_line));
 //BA.debugLineNum = 140;BA.debugLine="IndiceLayout = i mod 1";
_indicelayout = (int) (_i%1);
 //BA.debugLineNum = 141;BA.debugLine="NomeLayoutItem = \"cellitem\" & IndiceLayout'*** <";
_nomelayoutitem = "cellitem"+BA.NumberToString(_indicelayout);
 //BA.debugLineNum = 142;BA.debugLine="AggiungiItem(clv2, NomeLayoutItem, PanelItemHeig";
_aggiungiitem(mostCurrent._clv2,_nomelayoutitem,_panelitemheight,(Object)("Item "+BA.NumberToString(_i)));
 //BA.debugLineNum = 144;BA.debugLine="Log(line)";
anywheresoftware.b4a.keywords.Common.Log(_line);
 //BA.debugLineNum = 145;BA.debugLine="line = Reader.ReadLine";
_line = _reader.ReadLine();
 }
;
 //BA.debugLineNum = 147;BA.debugLine="Reader.Close";
_reader.Close();
 //BA.debugLineNum = 150;BA.debugLine="End Sub";
return "";
}
}
